Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BehaviorDefaultDispenseItem

    java.lang.Object
      net.minecraft.src.BehaviorDefaultDispenseItem

All Implemented Interfaces:
  IBehaviorDispenseItem

Direct Known Subclasses:
  BehaviorBucketEmptyDispense, BehaviorBucketFullDispense, BehaviorDispenseBoat, BehaviorDispenseFireball, BehaviorDispenseMinecart, BehaviorMobEggDispense, BehaviorProjectileDispense

    public class BehaviorDefaultDispenseItem

extends Object
implements IBehaviorDispenseItem

Field Summary

Fields inherited from interface net.minecraft.src.IBehaviorDispenseItem
`itemDispenseBehaviorProvider`

Constructor Summary
`BehaviorDefaultDispenseItem()`

Method Summary
`ItemStack` | `dispense(IBlockSource par1IBlockSource, ItemStack par2ItemStack)` Dispenses the specified ItemStack from a dispenser.
`static void` | `func_82486_a(World par0World, ItemStack par1ItemStack, int par2, EnumFacing par3EnumFacing, IPosition par4IPosition)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BehaviorDefaultDispenseItem

    public BehaviorDefaultDispenseItem()

Method Detail

### dispense

    public final ItemStack dispense(IBlockSource par1IBlockSource,
                                    ItemStack par2ItemStack)

  Dispenses the specified ItemStack from a dispenser.

  Specified by:
    `dispense` in interface `IBehaviorDispenseItem`

### func_82486_a

    public static void func_82486_a(World par0World,
                                    ItemStack par1ItemStack,
                                    int par2,
                                    EnumFacing par3EnumFacing,
                                    IPosition par4IPosition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD